@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Display:wght@400;500;600;700&display=swap');

html{
    scroll-behavior: smooth;
}
body{
    font-family: 'Red Hat Display', sans-serif;
    font-weight: 500;
}
.btn:focus,input:focus-visible,select:focus-visible,a:focus {
    outline: unset !important;
    outline-offset: unset !important;
    text-decoration: unset;
}
.btn.active, .btn:active{
    box-shadow:unset;
}
/*----------------------------------- Admin Login -----------------------------------*/
.admin-login-wrap {
    display: flex;
    height: 100vh;
    align-items: center;
}
.admin-login-wrap .inner-section {
    max-width: 640px;
    margin: 0 auto;
}
.admin-login-wrap .inner-section .logo-wrap{
    text-align: center;
}
.admin-login-wrap .inner-section form{
    width: 80%;
    margin: 20px auto 0;
}
.admin-login-wrap .inner-section .admin-form{
    background: #0b2f61;
    padding: 30px 50px;
    margin-bottom: 20px;
}
.admin-login-wrap .inner-section form label{
    font-size: 16px;
    color: #fff;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 10px;
}
.admin-login-wrap .inner-section form .input-box{
    margin-bottom: 30px;
}
.admin-login-wrap .inner-section form input{
    background: #fff;
    font-size: 16px;
    color: #000;
    border: unset;
    box-shadow: unset;
    padding: 15px;
    height: unset;
    border-radius: 0;
}
.admin-login-wrap .inner-section form .input-box .group {
    display: flex;
    align-items: center;
    position: relative;
}
.admin-login-wrap .inner-section form .input-box .group i {
    position: absolute;
    right: 20px;
    font-size: 18px;
    cursor: pointer;
}
.admin-login-wrap .inner-section form input#login-btn{
    background: #708e2e;
    padding: 10px 50px;
    color: #fff;
    font-weight: 700;
    font-size: 16px;
    text-transform: uppercase;
    border-radius: 0;
}
/*----------------------------------- Admin Dashboard Left Menu -----------------------------------*/
.vm-dashboard-wrap{
    padding: 20px 0;
    background: #f6f9ff;
}
.vm-dashboard-wrap .row {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
}
.vm-dashboard-wrap .dashboard-left-menu {
    height: 100%;
}
.dashboard-left-menu{
    background: #fff;
    padding: 15px;
    border-radius: 20px;
    box-shadow: 0px 0 30px rgba(1, 41, 112, 0.1);
}
.dashboard-left-menu .dashboard-inner-logo{
    text-align: center;
}
.dashboard-left-menu .dashboard-inner-logo .logo-img{
    height: 120px;
    margin: 0 auto;
}
.dashboard-left-menu .dashboard-inner-logo .logo-img img{
    max-height: 100%;
    max-width: 100%;
}
.dashboard-left-menu .dashboard-inner-logo a:hover{
    text-decoration: none;
}
.dashboard-left-menu .dashboard-inner-logo .logo-text{
    color: #0b2f61;
    font-weight: 700;
    font-size: 24px;
    margin: 15px 0 30px 0;
    line-height: 1.3;
}
.dashboard-left-menu ul{
    list-style: none;
    padding:0;
    margin: 0;
}
.dashboard-left-menu hr{
    border-style: dashed;
    border-color: #ccc;
    margin: 50px 0;
}
.dashboard-left-menu ul li:not(:last-child){
    margin-bottom: 10px;
}
.dashboard-left-menu ul li a{
    color: #333;
    font-size: 18px;
    text-decoration: none;
    font-weight: 700;
    display: flex;
    align-items: center;
    padding: 15px 10px;
    position: relative;
    z-index: 1;
}
.dashboard-left-menu ul li a i{
    margin-right: 20px;
    font-size: 20px;
}
.dashboard-left-menu ul li.active a:before{
    content: '';
    background: #708e2e;
    border-radius: 0 20px 20px 0;
    height: 100%;
    width: 315px;
    position: absolute;
    z-index: -1;
    top: 0;
    left: -15%;   
}
.dashboard-left-menu ul li:not(.active):hover a:before{
    content: '';
    background: #f5f9ec;
    border-radius: 0 20px 20px 0;
    height: 100%;
    width: 315px;
    position: absolute;
    z-index: -1;
    top: 0;
    left: -15%;
}
.dashboard-left-menu ul li.active a,.dashboard-left-menu ul li.active i{
    color: #fff;
}
.dashboard-left-menu ul li:not(.active):hover a,.dashboard-left-menu ul li:not(.active):hover i{
    color: #708e2e;
}
/*----------------------------------- Admin Dashboard Right Box -----------------------------------*/
.vm-dashboard-right-top{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 15px 0 50px 0;
    border-bottom: 1px solid #ccc;
    padding: 0 0 30px 0;
}
.vm-dashboard-right-top .page-title h1{
    margin:0 0 5px 0;
    color: #0b2f61;
    font-weight: 800;
    font-size: 40px;
}
.vm-dashboard-right-top .page-title span{
    color: #646262;
    font-size: 18px;
    font-weight: 400;
}
.vm-dashboard-right-top .logout a{
    text-decoration: none;
    color: #fff;
    font-size: 18px;
    background: #0b2f61;
    padding: 10px 30px;
    border-radius: 10px;
    display: flex;
    align-items: center;
}
.vm-dashboard-right-top .logout a i {
    margin-right: 10px;
}
.vm-dashboard-right-top .logout a:hover{
    background: #c00708;
    color: #fff;
}
.vm-dashboard-right-inner .product-preview {
    background: #e0ecc5;
    text-align: center;
}
.vm-dashboard-right-inner .product-preview h1{
    background: #708e2e;
    color: #fff;
    font-size: 20px;
    padding: 10px;
}
.vm-dashboard-right-inner .product-preview .box{
    padding: 30px 15px;
}
.vm-dashboard-right-inner .product-preview .box .preview-product-image{
    height: 200px;
    width: 200px;
    display: flex;
    align-items: center;
    margin: 0 auto;
    justify-content: center;
}
.vm-dashboard-right-inner .product-preview .box img{
    max-height: 100%;
    max-width: 100%;
}
.vm-dashboard-right-inner .product-preview h1,.vm-dashboard-right-inner .product-preview h2,.vm-dashboard-right-inner .product-preview h4,.vm-dashboard-right-inner .product-preview p{
    margin:0;
}
.vm-dashboard-right-inner .product-preview h2 {
    color: #0b2f61;
    font-size: 20px;
    font-weight: 700;
    margin: 15px 0 0 0;
    text-transform: capitalize;
}
.vm-dashboard-right-inner .product-preview p{
    margin: 10px 0 15px 0;
    font-size: 16px;
    font-weight: 500;
}
.vm-dashboard-right-inner .product-preview h4 {
    color: #708e2e;
    font-size: 28px;
    font-weight: 700;
}
#addproduct button{
    margin-top: 20px;
}
/*----------------------------------- Admin Dashboard Form -----------------------------------*/
.vm-dashboard-wrap form.form-box-wrap .field-box{
    background: #fff;
    padding: 30px 15px 0 15px;
    border-radius: 20px;
    display: inline-block;
    width: 100%;
    position: relative;
}
.vm-dashboard-wrap form.form-box-wrap .form-group label.error {
    color: red;
    position: absolute;
    font-size: 14px;
    font-weight: 500;
    text-transform: capitalize;
    padding: 5px;
}
.vm-dashboard-wrap form.form-box-wrap .form-group{
    margin-bottom: 40px;
    position: relative;
}
.vm-dashboard-wrap form.form-box-wrap label{
    font-size: 15px;
}
.vm-dashboard-wrap form.form-box-wrap label span {
    color: red;
}
.vm-dashboard-wrap form.form-box-wrap input,.vm-dashboard-wrap form.form-box-wrap select,.vm-dashboard-wrap form.form-box-wrap textarea{
    background: #F2F2F2;
    font-size: 16px;
    color: #000;
    border: unset;
    box-shadow: unset;
    padding: 25px 15px;
    border-radius: 10px;
}
.vm-dashboard-wrap form.form-box-wrap input#noticeimg,.vm-dashboard-wrap form.form-box-wrap input#mzpdf,.vm-dashboard-wrap form.form-box-wrap input#exampdf{
    height: 165px;
    width: fit-content;
}
#addadmin button,#updateadmin button{
    margin-top: 20px;
    float: right;
}
.vm-dashboard-wrap form.form-box-wrap select{
    height: unset;
    width: 100%;
    padding: 10px 15px;
}
.vm-dashboard-wrap form.form-box-wrap button.default-btn{
    background: #708e2e;
    padding: 10px 30px;
    color: #fff;
    font-weight: 700;
    font-size: 18px;
    border: unset;
    text-transform: capitalize;
    border-radius: 10px;
}
.vm-dashboard-wrap form.form-box-wrap .success-msg {
    background: #dff0d8;
    color: #3c763d;
    font-size: 16px;
    padding: 15px 30px;
    margin-bottom: 30px;
    border-radius: 10px;
    text-transform: capitalize;
}
.vm-dashboard-wrap form.form-box-wrap .exist-msg{
    color: #ff0000;
    display: block;
    margin: 10px 0;
    font-size: 16px;
    text-transform: capitalize;
}
.vm-dashboard-wrap form.form-box-wrap button.default-btn:disabled {
    background-color: #ccc;
    color: #666;
    cursor: not-allowed;
}
.vm-dashboard-wrap form.form-box-wrap #loading {
    position: absolute;
    height: 100%;
    background: rgba(0,0,0,0.6);
    padding: 30px 15px 0 15px;
    border-radius: 20px;
    width: 100%;
    left: 0;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
.vm-dashboard-wrap form.form-box-wrap #loading img{
    width: 100px;
}
.vm-dashboard-wrap form.form-box-wrap .group{
    display: flex;
    align-items: center;
    position: relative;
}
.vm-dashboard-wrap form.form-box-wrap .group input#pdprice{
    padding-left: 40px;
}
.vm-dashboard-wrap form.form-box-wrap .group i {
    position: absolute;
    left: 20px;
    font-size: 18px;
    cursor: pointer;
}
.vm-dashboard-wrap form.form-box-wrap #pdimage{
    padding: 15px;
    height: unset;
}
/*----------------------------------- Datatable CSS -----------------------------------*/
.vm-dashboard-right-inner table#alladmindata,.vm-dashboard-right-inner table#allordersdata{
    margin: 20px 0 50px 0 !important;
    background: #fff;
    padding: 30px 15px;
    border-radius: 20px;
    box-shadow: 0px 0 30px rgba(1, 41, 112, 0.1);
        border-collapse: separate;
    border-spacing: 0 15px;
}
.vm-dashboard-right-inner table th {
    border: unset !important;
    text-align: center;
    padding: 0 10px;
    font-size: 17px;
    color: #575757;
    font-weight: 700;
}
.vm-dashboard-right-inner table tbody tr.odd {
    background: #f5f9ec;
}
.vm-dashboard-right-inner table tbody tr.even {
    background: #f5f5f5;
}
.vm-dashboard-right-inner table tbody tr td:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}
.vm-dashboard-right-inner table tbody tr td:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}
.vm-dashboard-right-inner table td {
    padding: 15px 10px !important;
    color: #777;
    font-size: 15px;
    border: unset !important;
    vertical-align: middle !important;
    text-align: center;
}
.vm-dashboard-right-inner table td:last-child{
    display: flex;
}
.vm-dashboard-right-inner table td a.profile{
    margin-right: 10px;
}
.vm-dashboard-right-inner table td a.profile i,.vm-dashboard-right-inner table td a.store i {
    background: #b02a37;
    padding: 10px;
    color: #fff;
    font-size: 16px;
    border-radius: 5px;
}
.vm-dashboard-right-inner table td a.profile i:hover{
    background:#000;
}
.vm-dashboard-right-inner table td a.store i {
    background: #198754;
}
.vm-dashboard-right-inner table td a.store i:hover{
    background:#000;
}
.vm-dashboard-right-inner .dt-buttons {
    text-align: right;
    display: flex;
    align-items: center;
    justify-content: end;
}
.vm-dashboard-right-inner .dt-buttons a {
    background: #1D6F42;
    color: #fff;
    text-decoration: none;
    padding: 10px 30px;
    font-size: 18px;
    border-radius: 10px;
}
.vm-dashboard-right-inner .dt-buttons a:hover {
    background: #5B5B5B;
}
.vm-dashboard-right-inner .dt-buttons a span:before {
    content: '\f1c3';
    font-family: 'Font Awesome 5 Free';
    padding-right: 10px;
}
.vm-dashboard-right-inner .dataTables_wrapper .dataTables_filter{
    text-align: left;
}
.vm-dashboard-right-inner .dataTables_wrapper label{
    margin:0;
    color: #575757;
    font-size: 16px;
    font-weight: 700 !important;
    text-transform: capitalize;
}
.vm-dashboard-right-inner .dataTables_wrapper input {
    background: #fff;
    border: unset;
    height: unset;
    border-radius: 10px;
    box-shadow: unset;
    font-size: 16px;
    padding: 15px;
    font-weight: 500;
    box-shadow: 0px 0 30px rgba(1, 41, 112, 0.1);
}
.vm-dashboard-right-inner .dataTables_wrapper input {
    width: 350px !important;
}
.vm-dashboard-right-inner .dataTables_paginate a{
    text-decoration: none;
    background: #5B5B5B;
    padding: 8px 10px;
    margin: 0 5px;
    border-radius: 10px;
    color: #fff;
    font-weight: 600;
    font-size: 16px;
    cursor: pointer;
}
.vm-dashboard-right-inner .dataTables_paginate a.paginate_button.current,.vm-dashboard-right-inner .dataTables_paginate a:hover{
    background: #0b2f61;
}
.vm-dashboard-right-inner .dataTables_paginate a.paginate_button.disabled{
    background: #ccc;
    color: #5B5B5B;
    cursor: not-allowed;
}
.vm-dashboard-right-inner .dataTables_info{
    color: #0b2f61;
    padding: 0 !important;
    font-size: 16px;
}
.vm-dashboard-right-inner .product-table td .pd-img{
    height: 120px;
    width: 120px;
    background: #fff;
    margin: 0 auto;
    border-radius: 10px;
    padding: 10px;
}
.vm-dashboard-right-inner .product-table td .pd-img img{
    max-height: 100%;
    max-width: 100%;
}
.vm-dashboard-right-inner .product-table td:last-child{
    display: table-cell;
}
.vm-dashboard-right-inner table#allordersdata td.ossuccess{
    display: table-cell;
    background: #3cb371;
    color: #fff;
    width: -webkit-fill-available;
    padding: 0 !important;
    text-transform: uppercase;
    font-weight: 700;
}
.vm-dashboard-right-inner table#allordersdata td.ospending{
    display: table-cell;
    background: #ffa500;
    color: #fff;
    width: -webkit-fill-available;
    padding: 0 !important;
    text-transform: uppercase;
    font-weight: 700;
}
.vm-dashboard-right-inner table#allordersdata td.osfail{
    display: table-cell;
    background: #cd5c5c;
    color: #fff;
    width: -webkit-fill-available;
    padding: 0 !important;
    text-transform: uppercase;
    font-weight: 700;
}
.vm-dashboard-right-inner table#allordersdata td a.vieworderlink{
    text-decoration: none;
    color: #8a2be2;
    font-weight: 700;
}
/*----------------------------------- Assign Slot Table CSS -----------------------------------*/
.assignslot-main-wrap .vm-dashboard-right-top .logout{
    display: flex;
}
.assignslot-main-wrap .vm-dashboard-right-top .logout a:first-child{
    background: #708e2e;
    margin-right: 30px;
}
.assignslot-main-wrap .vm-dashboard-right-top .logout a:first-child:hover{
    background: #c00708;
}
.vm-dashboard-right-inner table#assign-slot th{
    vertical-align: middle !important;
}
.vm-dashboard-right-inner table#assign-slot tr td{
    width: 12.5%;
    border: 1px solid #000 !important;
    text-align: center;
    padding: 30px 15px !important;
    background: #fff8dc;
}
.vm-dashboard-right-inner table#assign-slot tr td:last-child{
    border-radius:unset;
    display: table-cell;
}
.vm-dashboard-right-inner table#assign-slot select{
    text-transform: capitalize;
    background: #fff;
}
.vm-dashboard-right-inner table#assign-slot .agproduct{
    margin:15px 0;
}
.vm-dashboard-right-inner table#assign-slot .agproduct .pd-img{
    height: 120px;
    width: 120px;
    background: #fff;
    margin: 0 auto;
    border-radius: 10px;
    padding: 10px;
}
.vm-dashboard-right-inner table#assign-slot .agproduct .pd-img img{
    max-height: 100%;
    max-width: 100%;
}
.vm-dashboard-right-inner table#assign-slot .agproduct .pd-name{
    font-size: 16px;
    font-weight: 700;
    margin: 10px 0;
    text-transform: capitalize;
}
.vm-dashboard-right-inner table#assign-slot .agproduct .pd-price{
    color: #708e2e;
    font-size: 18px;
    font-weight: 700;
}
.vm-dashboard-right-inner table#assign-slot td.non-active{
    background: #eee;
    cursor: no-drop;
}
.vm-dashboard-right-inner #psmatrix th{
    color: #708e2e;
}
.vm-dashboard-right-inner #psmatrix th span{
    display: block;
    font-weight: 700;
    text-transform: capitalize;
    font-size: 14px;
    background: #cccc;
    color: #0b2f61;
    padding: 3px 10px;
    border-radius: 5px;
}
.vm-dashboard-right-inner #psmatrix button.default-btn{
    padding: 10px 15px;
    font-size: 14px;
    text-transform: uppercase;
}
.vm-dashboard-right-inner form .form-field{
    margin-top: 15px;
    background: antiquewhite;
    padding: 10px 5px;
    border-radius: 10px;
}
.vm-dashboard-right-inner form .form-field label{
    color: #000;
    font-size: 14px;
}
.vm-dashboard-right-inner form .form-field input{
    padding: 10px 20px;
    background: #fff;
    margin: 5px 0 10px 0;
}
.vm-dashboard-right-inner form .form-field span {
    font-size: 12px;
    display: block;
    font-style: italic;
    color: #ff0000;
}
.vm-dashboard-right-inner .order-box {
    display: flex;
    grid-gap: 100px;
}
.vm-dashboard-right-inner .order-box .first-box,
.vm-dashboard-right-inner .order-box .second-box{
    background: #fff;
    box-shadow: 0px 0 30px rgba(1, 41, 112, 0.1);
    width: -webkit-fill-available;
}
.vm-dashboard-right-inner .order-box .first-box h2{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.vm-dashboard-right-inner .order-box .first-box h2 span{
    padding: 5px 15px;
    font-weight: 500;
    color: #fff;
    text-transform: uppercase;
    font-size: 14px;
    border-radius: 5px;
}
.vm-dashboard-right-inner .order-box .first-box h2 span.pending{
    background: #ffa500;
}
.vm-dashboard-right-inner .order-box .first-box h2 span.fail{
    background: #ff0000;
}
.vm-dashboard-right-inner .order-box .first-box h2 span.success{
    background: #3cb371;
}
.vm-dashboard-right-inner .order-box h2 {
    margin: 0;
    font-size: 16px;
    color: #000;
    font-weight: 800;
    padding: 15px;
    background: #f5f5dc;
}
.vm-dashboard-right-inner .order-box .inline {
    display: flex;
    justify-content: space-between;
    padding: 10px 15px;
}
.vm-dashboard-right-inner .order-box .product {
    display: flex;
    align-items: center;
    padding: 10px 15px;
}
.vm-dashboard-right-inner .order-box .product .img{
    height: 70px;
    width: 70px;
    border: 1px solid #ddd;
    padding: 10px;
    text-align: center;
}
.vm-dashboard-right-inner .order-box .product .img img {
    max-height: 100%;
    max-width: 100%;
    margin: 0 auto;
}
.vm-dashboard-right-inner .order-box .product .info {
    margin-left: 15px;
}
.vm-dashboard-right-inner .order-box .product .info b{
    text-transform: capitalize;
}